%define major 12
%define shortname microhttpd
%define libname	%mklibname %shortname %{major}
%define develname %mklibname -d %{shortname}

Name:		libmicrohttpd
Version:	0.9.52
Release:	%mkrel 1
URL:		http://www.gnu.org/software/libmicrohttpd/
Source:		http://ftp.gnu.org/gnu/libmicrohttpd/%{name}-%{version}.tar.gz
License:	GPLv2
Summary:	Small C library to run an HTTP server
Group:		System/Libraries
BuildRequires:	curl-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	gnutls-devel
BuildRequires:	openssl-devel

%description
libmicrohttpd is a small C library that is supposed to make it easy to
run an HTTP server as part of another application. Key features that
distinguish libmicrohttpd from other projects are:

* C library: fast and small
* API is simple, expressive and fully reentrant
* Implementation is (largely) http 1.1 compliant
* HTTP server can listen on multiple ports
* Support for IPv6
* Creates binary of only 22k (for now)
* Three different threading models

libmicrohttpd was started because the author needed an easy way to add
a concurrent HTTP server to other projects. Existing alternatives were
either non-free, not reentrant, standalone, of terrible code quality or
a combination thereof. Do not use libmicrohttpd if you are looking for
a standalone http server; there are many other projects out there that
provide that kind of functionality already. However, if you want to be
able to serve simple WWW pages from within your C or C++ application,
check it out.

%package -n	%{libname}
Summary:	Small C library to run an HTTP server
Group:		System/Libraries

%description -n	%{libname}
libmicrohttpd is a small C library that is supposed to make it easy to
run an HTTP server as part of another application. Key features that
distinguish libmicrohttpd from other projects are:

* C library: fast and small
* API is simple, expressive and fully reentrant
* Implementation is (largely) http 1.1 compliant
* HTTP server can listen on multiple ports
* Support for IPv6
* Creates binary of only 22k (for now)
* Three different threading models

libmicrohttpd was started because the author needed an easy way to add
a concurrent HTTP server to other projects. Existing alternatives were
either non-free, not reentrant, standalone, of terrible code quality or
a combination thereof. Do not use libmicrohttpd if you are looking for
a standalone http server; there are many other projects out there that
provide that kind of functionality already. However, if you want to be
able to serve simple WWW pages from within your C or C++ application,
check it out.

%package -n	%{develname}
Summary:	Development files for %{libname}
Group:		System/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{_lib}microhttpd10 < 0.9.28

%description -n	%{develname}
Development files for %{libname}

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure2_5x --disable-static
%make_build

%install
%make_install

%{__rm} -Rf %{buildroot}%{_libdir}/*.la
%{__rm} -f %{buildroot}%{_bindir}/demo

%post -n %{develname}
%_install_info microhttpd.info

%preun -n %{develname}
%_remove_install_info microhttpd.info

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{develname}
%{_includedir}/%{shortname}.h
%{_libdir}/%{name}.so
%{_infodir}/*
%{_mandir}/man3/*
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Jan 14 2017 shlomif <shlomif> 0.9.52-1.mga6
+ Revision: 1081662
- New version 0.9.52.

* Sat Sep 10 2016 luigiwalser <luigiwalser> 0.9.51-1.mga6
+ Revision: 1051187
- 0.9.51

* Wed Aug 10 2016 luigiwalser <luigiwalser> 0.9.50-1.mga6
+ Revision: 1045281
- 0.9.50

* Mon May 09 2016 luigiwalser <luigiwalser> 0.9.49-1.mga6
+ Revision: 1011468
- 0.9.49

* Mon Jan 11 2016 luigiwalser <luigiwalser> 0.9.48-2.mga6
+ Revision: 921819
- rebuild for gnutls

* Sun Jan 03 2016 luigiwalser <luigiwalser> 0.9.48-1.mga6
+ Revision: 918782
- 0.9.48

* Thu Dec 17 2015 shlomif <shlomif> 0.9.47-1.mga6
+ Revision: 911325
- New version 0.9.47

* Wed Oct 21 2015 ngompa <ngompa> 0.9.44-1.mga6
+ Revision: 893861
- Update to version 0.9.44

* Thu Sep 10 2015 fwang <fwang> 0.9.42-3.mga6
+ Revision: 875380
- rebuild for new libgcrypt

* Fri Aug 21 2015 tmb <tmb> 0.9.42-2.mga6
+ Revision: 867647
- rebuild for new gcc

* Sun Jun 21 2015 luigiwalser <luigiwalser> 0.9.42-1.mga6
+ Revision: 837318
- 0.9.42

* Wed Oct 15 2014 umeabot <umeabot> 0.9.37-4.mga5
+ Revision: 743772
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.37-3.mga5
+ Revision: 726749
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.37-2.mga5
+ Revision: 681601
- Mageia 5 Mass Rebuild

* Mon Jun 02 2014 luigiwalser <luigiwalser> 0.9.37-1.mga5
+ Revision: 630611
- 0.9.37

* Mon May 26 2014 luigiwalser <luigiwalser> 0.9.36-1.mga5
+ Revision: 626555
- 0.9.36

* Sat May 03 2014 luigiwalser <luigiwalser> 0.9.35-1.mga5
+ Revision: 619749
- 0.9.35
- update patch 1
- remove upstreamed patch 2

* Sat Mar 15 2014 luigiwalser <luigiwalser> 0.9.34-1.mga5
+ Revision: 603994
- 0.9.34
- add patch from fedora to install microspdy pkgconfig file
- separate out microspdy devel files into own subpackage

* Fri Dec 27 2013 luigiwalser <luigiwalser> 0.9.33-1.mga4
+ Revision: 560963
- 0.9.33

* Sat Oct 19 2013 umeabot <umeabot> 0.9.30-2.mga4
+ Revision: 533839
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 luigiwalser <luigiwalser> 0.9.30-1.mga4
+ Revision: 475632
- 0.9.30

* Sat Aug 03 2013 fwang <fwang> 0.9.28-1.mga4
+ Revision: 462853
- add files
- add microspdy2http sub package
- update file list
- update file list for libmicrospdy
- fix linkage of spdy lib
- new version 0.9.28

* Mon Jun 24 2013 fwang <fwang> 0.9.27-1.mga4
+ Revision: 446110
- new version 0.9.27

* Sat Jan 12 2013 umeabot <umeabot> 0.9.23-2.mga3
+ Revision: 357751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 11 2012 fwang <fwang> 0.9.23-1.mga3
+ Revision: 316924
- new version 0.9.23

* Mon Sep 03 2012 fwang <fwang> 0.9.22-1.mga3
+ Revision: 287516
- new version 0.9.22

* Fri Jun 01 2012 fwang <fwang> 0.9.20-1.mga3
+ Revision: 252729
- new version 0.9.20

* Mon Mar 05 2012 fwang <fwang> 0.9.19-1.mga2
+ Revision: 218351
- new version 0.9.19

* Sun Nov 20 2011 fwang <fwang> 0.9.17-1.mga2
+ Revision: 169607
- new version 0.9.17

* Sat Nov 05 2011 fwang <fwang> 0.9.16-1.mga2
+ Revision: 163137
- new version 0.9.16
- rebuild for new gnults

* Mon Jul 18 2011 fwang <fwang> 0.9.13-1.mga2
+ Revision: 125618
- new version 0.9.13

* Mon Mar 28 2011 ennael <ennael> 0.9.8-1.mga1
+ Revision: 78439
- clean spec file
- imported package libmicrohttpd

